ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Magesh Umasankar" <umag...@apache.org>
Subject Re: JDK 1.1 support
Date Fri, 14 Mar 2003 16:07:46 GMT
----- Original Message -----
From: "Conor MacNeill" <conor@cortexebusiness.com.au>


> I'd like to throw this up again. What are peoples thoughts on the
following
>
> 1. Make Ant 1.6.x the last JDK 1.1 release. This would be clearly
documented

I would say 1.5.x so long as x is not frozen.  IOW, if there
are critical bugs that mandate a release through the 1.5 branch
to work in environments that do not have the ability to run JDK
1.2, then we should be open to that.

Should we even consider -target=1.1 or does the newer
.class format help in any way?

> 2. Make the subsequent release require JDK 1.2+ (what about leap frogging
to
> later versions?)

The most stable version of JDK 1.2 that the vendor provides.

> 3. Name this subsequent release Ant 2.0 (due to its change in system
> requirements)

ok.

> 4. Drop all the Ant2 cruft from the website.

Is adding more cruft to mark the old cruft as
obsolete an option? ;-)

> Just as a data point, CVS HEAD (Ant 1.6) has not compiled against JDK 1.1
for
> a while now (due to diagnostics changes).
>
> --
> Conor MacNeill
> Blog: http://codefeed.com/blog/
>

Cheers,
Magesh

**********************************************************
*  Dictionary: A place where success comes before work.  *
**********************************************************



Mime
View raw message